# Uses of Enum Class
org.bukkit.event.entity.VillagerCareerChangeEvent.ChangeReason

Packages that use VillagerCareerChangeEvent.ChangeReason
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of VillagerCareerChangeEvent.ChangeReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return VillagerCareerChangeEvent.ChangeReason
Modifier and Type
Method
Description
`@NotNull VillagerCareerChangeEvent.ChangeReason`
VillagerCareerChangeEvent.`getReason()`
Gets the reason for why the villager's career is changing.
`static VillagerCareerChangeEvent.ChangeReason`
VillagerCareerChangeEvent.ChangeReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VillagerCareerChangeEvent.ChangeReason[]`
VillagerCareerChangeEvent.ChangeReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type VillagerCareerChangeEvent.ChangeReason
Modifier
Constructor
Description
``
`VillagerCareerChangeEvent(@NotNull Villager what, @NotNull Villager.Profession profession, @NotNull VillagerCareerChangeEvent.ChangeReason reason)`